## ondselsolver 0~2024.11.27

=== tests/CMakeLists.txt ===
include(FetchContent)
FetchContent_Declare(
  googletest
  URL https://github.com/google/googletest/archive/03597a01ee50ed33e9dfd640b249b4be3799d395.zip
)
# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
FetchContent_MakeAvailable(googletest)

if(MSVC)
    add_compile_options(/wd4251)

    option(
        gtest_force_shared_crt
        "Use shared (DLL) run-time lib even when Google Test is built as static lib."
        ON)
    option(gtest_disable_pthreads "Disable uses of pthreads in gtest." ON)

    set(Google_Tests_LIBS
        oldnames.lib
        debug msvcrtd.lib
        debug msvcprtd.lib
        optimized msvcrt.lib
        optimized msvcprt.lib
    )

    # Universal C runtime introduced in VS 2015 (cl version 19)
    if(NOT(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "19"))
        list(APPEND Google_Tests_LIBS
            debug vcruntimed.lib
            debug ucrtd.lib
            debug concrtd.lib
            optimized vcruntime.lib
            optimized ucrt.lib
            optimized concrt.lib
        )
    endif()
endif()

if(WIN32)
    add_definitions(-D_USE_MATH_DEFINES)
endif(WIN32)


# Add test executables here
add_executable(test_run)
target_include_directories(
	test_run PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../OndselSolver
)
target_sources(test_run
	PRIVATE
		${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)
target_link_libraries(test_run
    gtest_main
    gmock_main
    ${Google_Tests_LIBS}
    OndselSolver
)

include(GoogleTest)
# discovers tests by asking the compiled test executable to enumerate its tests
set(CMAKE_GTEST_DISCOVER_TESTS_DISCOVERY_MODE PRE_TEST)

gtest_discover_tests(test_run)

=== debian/changelog ===
ondselsolver (0~2024.11.27-1) unstable; urgency=medium

  * Initial release. (Closes: #1091346)

 -- Tobias Frost <tobi@debian.org>  Tue, 24 Dec 2024 17:05:18 +0100

=== debian/control ===
Source: ondselsolver
Section: libs
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 libgtest-dev,
 libgmock-dev,
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/Ondsel-Development/OndselSolver
Vcs-Browser: https://salsa.debian.org/science-team/ondselsolver
Vcs-Git: https://salsa.debian.org/science-team/ondselsolver.git

Package: libondselsolver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libondselsolver1 (= ${binary:Version}),
 ${misc:Depends},
Description: Assembly Constraints and Multibody Dynamics code - library
 The OndselSolver library for assembly constraints and multibody dynamics
 is used by FreeCAD 1.0.0 for its new Assembly workbench.
 . 
 This package contains the development files.

Package: libondselsolver1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Assembly Constraints and Multibody Dynamics code - development files
 The OndselSolver library for assembly constraints and multibody dynamics
 is used by FreeCAD 1.0.0 for its new Assembly workbench.
 . 
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DONDSELSOLVER_BUILD_TESTS="On"

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, date=%Y.%m.%d, pretty=0~%cd" \
https://github.com/Ondsel-Development/OndselSolver HEAD debian uupdate

## ondselsolver 0~2025.01.21

=== debian/changelog ===
ondselsolver (0~2025.01.21-1) unstable; urgency=medium

  * package last upstream snapshot before moving to new upstream
    (moving to new upstream is planed with the FreeCAD 1.1 release)
  * Set uploader as the FreeCAD packaging team.
  * Remove "Priority: optional" from d/control.

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Feb 2026 19:02:34 +0100

## ondselsolver 0~2026.02.11

=== debian/changelog ===
ondselsolver (0~2026.02.11-1~exp1) experimental; urgency=medium

  * Move to new upstream, under the FreeCAD team umbrella.
  * Package new upstream git snapshot targeting FreeCAD 1.1.

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Feb 2026 20:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ondselsolver
 Section: libs
-Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
-Rules-Requires-Root: no
+Maintainer: FreeCAD Packaging Team <team+freecad-packaging-team@tracker.debian.org>
+Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends:
  cmake,
  libgtest-dev,
  libgmock-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/Ondsel-Development/OndselSolver
-Vcs-Browser: https://salsa.debian.org/science-team/ondselsolver
-Vcs-Git: https://salsa.debian.org/science-team/ondselsolver.git
+Vcs-Browser: https://salsa.debian.org/debian/ondselsolver
+Vcs-Git: https://salsa.debian.org/debian/ondselsolver.git
 
 Package: libondselsolver-dev
 Section: libdevel

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, date=%Y.%m.%d, pretty=0~%cd" \
https://github.com/FreeCAD/OndselSolver HEAD debian uupdate
